# Uses of Interface
org.opensaml.xacml.policy.EnvironmentType

Packages that use EnvironmentType
Package
Description
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.

## Uses of EnvironmentType in org.opensaml.xacml.policy

Methods in org.opensaml.xacml.policy that return types with arguments of type EnvironmentType
Modifier and Type
Method
Description
`List<EnvironmentType>`
EnvironmentsType.`getEnvironments()`
Gets the environments.

## Uses of EnvironmentType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement EnvironmentType
Modifier and Type
Class
Description
`class`
`EnvironmentTypeImpl`
Implementation for `EnvironmentType`.
Fields in org.opensaml.xacml.policy.impl with type parameters of type EnvironmentType
Modifier and Type
Field
Description
`private XMLObjectChildrenList<EnvironmentType>`
EnvironmentsTypeImpl.`environments`
List of action matches.
Methods in org.opensaml.xacml.policy.impl that return EnvironmentType
Modifier and Type
Method
Description
`EnvironmentType`
EnvironmentTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`EnvironmentType`
EnvironmentTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xacml.policy.impl that return types with arguments of type EnvironmentType
Modifier and Type
Method
Description
`List<EnvironmentType>`
EnvironmentsTypeImpl.`getEnvironments()`
Gets the environments.